import { EventEmitter } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { MatAutocomplete, MatAutocompleteDefaultOptions, MatAutocompleteSelectedEvent } from "@angular/material/autocomplete";
import { MatChipInputEvent, MatChipGrid, MatChipsDefaultOptions } from "@angular/material/chips";
import { RippleGlobalOptions } from "@angular/material/core";
import { MatFormFieldDefaultOptions } from "@angular/material/form-field";
import { MatInput } from "@angular/material/input";
import { DynamicFormControlComponent, DynamicFormControlCustomEvent, DynamicFormControlLayout, DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService, DynamicInputModel } from "@ng-dynamic-forms/core";
import * as i0 from "@angular/core";
export declare class DynamicMaterialChipsComponent extends DynamicFormControlComponent {
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    AUTOCOMPLETE_OPTIONS: MatAutocompleteDefaultOptions;
    CHIPS_OPTIONS: MatChipsDefaultOptions;
    FORM_FIELD_OPTIONS: MatFormFieldDefaultOptions;
    RIPPLE_OPTIONS: RippleGlobalOptions;
    formLayout?: DynamicFormLayout;
    group: UntypedFormGroup;
    layout?: DynamicFormControlLayout;
    model: DynamicInputModel;
    blur: EventEmitter<any>;
    change: EventEmitter<any>;
    customEvent: EventEmitter<DynamicFormControlCustomEvent>;
    focus: EventEmitter<any>;
    matAutocomplete: MatAutocomplete;
    matChipGrid: MatChipGrid;
    matInput: MatInput;
    constructor(layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService, AUTOCOMPLETE_OPTIONS: MatAutocompleteDefaultOptions, CHIPS_OPTIONS: MatChipsDefaultOptions, FORM_FIELD_OPTIONS: MatFormFieldDefaultOptions, RIPPLE_OPTIONS: RippleGlobalOptions);
    get chips(): string[];
    onChipInputTokenEnd($event: MatChipInputEvent): void;
    onChipSelected($event: MatAutocompleteSelectedEvent): void;
    onChipRemoved(chip: string, index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicMaterialChipsComponent, [null, null, null, null, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicMaterialChipsComponent, "dynamic-material-chips", never, { "formLayout": "formLayout"; "group": "group"; "layout": "layout"; "model": "model"; }, { "blur": "blur"; "change": "change"; "customEvent": "customEvent"; "focus": "focus"; }, never, never, false, never>;
}
