import { EventEmitter } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { MatAutocomplete, MatAutocompleteDefaultOptions } from "@angular/material/autocomplete";
import { ErrorStateMatcher, RippleGlobalOptions } from "@angular/material/core";
import { MatFormFieldDefaultOptions } from "@angular/material/form-field";
import { MatInput } from "@angular/material/input";
import { DynamicFormControlCustomEvent, DynamicFormControlLayout, DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService, DynamicInputModel } from "@ng-dynamic-forms/core";
import { DynamicMaterialFormInputControlComponent } from "../dynamic-material-form-input-control.component";
import * as i0 from "@angular/core";
export declare class DynamicMaterialInputComponent extends DynamicMaterialFormInputControlComponent {
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    errorStateMatcher: ErrorStateMatcher;
    AUTOCOMPLETE_OPTIONS: MatAutocompleteDefaultOptions;
    FORM_FIELD_OPTIONS: MatFormFieldDefaultOptions;
    RIPPLE_OPTIONS: RippleGlobalOptions;
    formLayout?: DynamicFormLayout;
    group: UntypedFormGroup;
    layout?: DynamicFormControlLayout;
    model: DynamicInputModel;
    blur: EventEmitter<any>;
    change: EventEmitter<any>;
    customEvent: EventEmitter<DynamicFormControlCustomEvent>;
    focus: EventEmitter<any>;
    matAutocomplete: MatAutocomplete;
    matInput: MatInput;
    constructor(layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService, errorStateMatcher: ErrorStateMatcher, AUTOCOMPLETE_OPTIONS: MatAutocompleteDefaultOptions, FORM_FIELD_OPTIONS: MatFormFieldDefaultOptions, RIPPLE_OPTIONS: RippleGlobalOptions);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicMaterialInputComponent, [null, null, null, null, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicMaterialInputComponent, "dynamic-material-input", never, { "formLayout": "formLayout"; "group": "group"; "layout": "layout"; "model": "model"; }, { "blur": "blur"; "change": "change"; "customEvent": "customEvent"; "focus": "focus"; }, never, never, false, never>;
}
